tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject [Bug 60632] Last logs lost when running Tomcat with systemd and journald
Date Tue, 24 Jan 2017 02:13:01 GMT
https://bz.apache.org/bugzilla/show_bug.cgi?id=60632

--- Comment #1 from Jeff Turner <jeff@redradishtech.com> ---
FYI I can't add an attachment - keep getting 'Permission denied' from
attachment.cgi. Here's the suggested patch:


--- bin/catalina.sh.orig        2017-01-24 12:54:39.181880382 +1100
+++ bin/catalina.sh     2017-01-24 12:55:56.862144647 +1100
@@ -100,6 +100,9 @@
 #                   case the default is "true"
 #
-----------------------------------------------------------------------------

+# If running in systemd, give it a chance to tag the last output.
https://github.com/systemd/systemd/issues/1347
+trap 'sleep 0.1' INT TERM EXIT
+
 # OS specific support.  $var _must_ be set to either true or false.
 cygwin=false
 darwin=false

-- 
You are receiving this mail because:
You are the assignee for the bug.
---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@tomcat.apache.org
For additional commands, e-mail: dev-help@tomcat.apache.org


Mime
View raw message